// You can import API functions like this from D3.js.
import { 
  select, 
  csv,
  event,
  brushX,
  timeParse, 
  timeFormat
} from 'd3';

import { chartBrushing } from './chartBrushing';

const svg = select('svg');

const parseDate = timeParse("%d/%m/%Y");
const formatDate = timeFormat("%b %Y");

let data=[];

const render = () => {
chartBrushing(svg,{
    data,
    colorValue: d => d.wl,
    circleRadius: 2,
    xAxisLabel: 'Date',
    yAxisLabel: 'Water Level',
    brushed: () => {
      let k = event.selection;
      let j = data.filter(function(d){
        return k[0] <= d.Date && k[1] >=d.Date;
    });
      console.log(k);
    }
  })
}

const wls =["OW2DWL", "OW2DSWL"];
csv('https://vizhub.com/careyshan/datasets/monthlyViz.csv')
  .then(loadedData => {
  loadedData.forEach(row => {
    wls.forEach(wl => {
    if(row[wl]!==undefined){
    data.push({
			Date:parseDate(row.Date),
      wl,
      value: +row[wl]
    	})
    }})
  })
});

setTimeout(()=>{
	render();
}, 2000)